#ifndef CONTROLS_H
#define CONTROLS_H

#define CP_DIAM 2

#include "primitives.h"
#include "graphics.h"
#include <SDL.h>

typedef struct _control_point {
  point pos;
  unsigned char on_curve;
  struct _control_point *next;
} control_point;

control_point make_control_point(long x, long y, unsigned char on_curve);

void draw_control_points(SDL_Surface *screen, control_point *points, Uint32 color);
control_point *hit_test(control_point *points, long x, long y);

#endif