#include "primitives.h"

// private API
point make_point(long x, long y) {
  point result;
  
  result.x = (x << FBITS) + 32; // pixel center
  result.y = (y << FBITS) + 32;
  
  return result;
}

long point_x(point point) {
  return point.x >> FBITS;
}

long point_y(point point) {
  return point.y >> FBITS;  
}